#!/usr/bin/make -f
# -*- makefile -*-

pythons := $(shell py3versions -sv)

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_clean:
	rm -rf build
	rm -rf .pybuild
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && for i in $(pythons); do \
	    python$$i -m authres ; \
	    echo "Tested authres with python $$i" ; \
	done
endif
